{
  "models": [
    {
      "id": "auto",
      "name": "AuTo",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "deepseek-v4-pro",
      "name": "Deepseek-v4-pro",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 1000000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "deepseek-v4-flash",
      "name": "Deepseek-v4-flash",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 1000000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "deepseek-v3-2-volc",
      "name": "Deepseek-v3-2-volc",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "deepseek-v3-1",
      "name": "Deepseek-v3-1",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "deepseek-v3-0324",
      "name": "Deepseek-v3-0324",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "deepseek-r1",
      "name": "Deepseek-r1",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "glm-5.2",
      "name": "GLM-5.2",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 1000000,
      "maxOutputTokens": 128000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "glm-5.1",
      "name": "GLM-5.1",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 200000,
      "maxOutputTokens": 128000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "glm-5.0",
      "name": "GLM-5.0",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 200000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "glm-5.0-turbo",
      "name": "GLM-5.0-Turbo",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 200000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "glm-5v-turbo",
      "name": "GLM-5v-Turbo",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 200000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "glm-4.7",
      "name": "GLM-4.7",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "glm-4.6",
      "name": "GLM-4.6",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "minimax-m3",
      "name": "Minimax-M3",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 1000000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "minimax-m2.7",
      "name": "Minimax-M2.7",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "minimax-m2.5",
      "name": "Minimax-M2.5",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "kimi-k2.7-code",
      "name": "Kimi-K2.7-Code",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 256000,
      "maxOutputTokens": 20000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "kimi-k2.6",
      "name": "Kimi-K2.6",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 256000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "kimi-k2.5",
      "name": "Kimi-K2.5",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 256000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "hy3-preview",
      "name": "HY-3-Preview",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 200000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "hy3",
      "name": "HY-3",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 256000,
      "maxOutputTokens": 192000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "hunyuan-chat",
      "name": "HY-Chat",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 128000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    },
    {
      "id": "hunyuan-2.0-thinking",
      "name": "HY-2.0-Thinking",
      "vendor": "Custom",
      "url": "https://api.getaigate.com/v1/chat/completions",
      "apiKey": "sk-aigate-2335f1670e169eb855c88f6ed58862cb",
      "maxInputTokens": 200000,
      "maxOutputTokens": 32000,
      "supportsToolCall": true,
      "supportsImages": true,
      "supportsReasoning": true,
      "useCustomProtocol": false
    }
  ]
}